<!-- IGAC proyecto SNC

@author juan.agudelo
@description Pantalla de gestión bloqueo masivo predios
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="todo" width="100%">

    <p:messages id="msgsDP2" showDetail="false" globalOnly="false" />

    <h:form id="gestionArchivosFormUP" enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="5" />

            <h:panelGrid columns="2" cellspacing="0">
                <h:outputLabel value="Documento soporte de la marcación masiva: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />                        
            </h:panelGrid>

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Ingrese el archivo de soporte de la marcación masiva, este será utilizado para todos los predios marcados masivamente."
                styleClass="noteTextStyle" />
            <h:outputText
                value="Las extensiones válidas del archivo de soporte son tif, png, jpg, jpeg y pdf."
                styleClass="noteTextStyle" />
            <p:spacer height="0" width="30" />

            <p:fileUpload id="fu"
                          fileUploadListener="#{bloqueoPredio.archivoUpload}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El formato del documento soporte de marcación no es válido, verifique"
                          label="Cargar documento" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          mode="advanced" sizeLimit="#{general.maximoTamanoAdjuntos}"
                          allowTypes="/(\.|\/)(pdf|tif|png|jp[e]?g)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fu,
                          gestionArchivosFormUP:panelDocSop"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <h:panelGrid columns="3" cellspacing="7" id="panelDocSop">
                <h:outputLabel value="Documento de soporte: "
                               styleClass="outputLabelStyle"
                               rendered="#{ not empty bloqueoPredio.documentoSoporteBloqueo.archivo}" />

                <p:commandLink
                    value="#{bloqueoPredio.documentoSoporteBloqueo.archivo}"
                    update=":docVDocSoporte:docViewerCCForm"
                    styleClass="commandLinkStyle"
                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()"
                    rendered="#{not empty bloqueoPredio.documentoSoporteBloqueo.archivo}">
                    <f:setPropertyActionListener
                        target="#{previsualizacionDocumento.documentoTemporal}"
                        value="#{bloqueoPredio.documentoSoporteBloqueo}" />
                    <f:setPropertyActionListener
                        target="#{bloqueoPredio.documentoTemporalAVisualizar}"
                        value="#{bloqueoPredio.documentoSoporteBloqueo}" />
                </p:commandLink>

            </h:panelGrid>

        </h:panelGrid>
    </h:form>

    <p:separator />
    <h:form id="gestionArchivos2FormUP" prependId="false"
            enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="10" />

            <h:panelGrid columns="2" cellspacing="0">
                <h:outputLabel value="Archivo con predios a marcár: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />                        
            </h:panelGrid>

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />

            <h:outputText
                value="El archivo de marcación masivo debe tener extensión .txt separado por punto y coma o xls o xlsx separado en celdas."
                styleClass="noteTextStyle" />
            <h:outputText
                value="El archivo de marcación masivo debe tener la estructura ordenada número predial, Tipo de marcación, Departamento, municipio, Entidad ordena la marcación, restitución de tierras, motivo de marcación, fecha inicial, fecha envío, fecha recibido, numero radicación de la solicitud, fecha final (opcional)"
                styleClass="noteTextStyle" />

            <p:spacer height="0" width="30" />
            <p:fileUpload id="fus"
                          fileUploadListener="#{bloqueoPredio.archivoVM}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido"
                          label="Cargar archivo" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          mode="advanced" sizeLimit="#{general.maximoTamanoAdjuntos}"
                          allowTypes="/(\.|\/)(xls|txt|xlsx?)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fus,
                          gestionArchivos2FormUP:panelDocSop"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            <p:spacer height="25" width="30" />
            <h:panelGrid columns="2" cellspacing="7" id="panelDocSop">
                <h:outputLabel value="Documento de marcación masivo: "
                               rendered="#{ not empty bloqueoPredio.nombreDocumentoBloqueoMasivo}"
                               styleClass="outputLabelStyle" />

                <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                               value="#{bloqueoPredio.nombreDocumentoBloqueoMasivo}" ajax="false"
                               process="@this"
                               rendered="#{ not empty bloqueoPredio.nombreDocumentoBloqueoMasivo}">
                    <f:setPropertyActionListener
                        target="#{bloqueoPredio.documentoTemporalAVisualizar}"
                        value="#{bloqueoPredio.documentoTemporalBloqueoMasivo}" />
                    <p:fileDownload value="#{bloqueoPredio.fileTempDownload}" />
                </p:commandLink>

            </h:panelGrid>

        </h:panelGrid>
    </h:form>

    <h:form id="solicitarDocumentosForm" prependId="false">

        <p:separator />

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="0" width="7" />
            <p:commandButton value="Guardar"
                             action="#{bloqueoPredio.bloquearMPB}" id="btnGuardar"
                             disabled="#{bloqueoPredio.bloquearPredios}" update=":msgsDP2"
                             icon="ui-icon-disk"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, docViewerWV, true);"
                             onstart="statusDialog2.show();" />
        </p:outputPanel>

        <h:panelGrid id="viewCommand" style="float:right;">

            <p:commandButton value="Exportar resultado" icon="ui-icon-document"
                             ajax="false" rendered="#{bloqueoPredio.erroresPredios}">

                <p:fileDownload value="#{bloqueoPredio.exportFile}"
                                contentDisposition="attachment" />

            </p:commandButton>

        </h:panelGrid>

    </h:form>




</h:panelGrid>

